package _03_this;

public class Student {
    private String name;
    private int age;

    /**
     * 成员变量的名字和局部变量的名字 相同了
     * @param name
     */
    public void setName(String name){
        // this 关键字其实就是引用对空间那块地址值
        System.out.println(this);
        this.name = name;
    }

    public void setAge(int age){
        this.age = age;
    }

    public void show(){
        System.out.println("姓名:"+ name +",年龄:"+ age);
    }
}
